Skip Menu |
 

This queue is for tickets about the Devel-PerlySense CPAN distribution.

Report information
The Basics
Id: 30775
Status: resolved
Priority: 0/
Queue: Devel-PerlySense

People
Owner: Nobody in particular
Requestors: Jan.Tatarik [...] mBalance.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Flymake not showing Perl::Critic warnings
Date: Fri, 16 Nov 2007 11:43:36 +0100
To: bug-Devel-PerlySense [...] rt.cpan.org
From: Jan Tatarik <Jan.Tatarik [...] mBalance.com>
Download (untitled) / with headers
text/plain 718b
Devel-PerlySense-0.01_25 perl v5.8.8 on gentoo After configuring PerlySense project to run syntax and critics checks, only syntax errors are highlighted in emacs buffer. Running 'perly_sense flymake_file --file=myfile.pl' produces no Perl::Critic warnings either. Running Perl::Critic manually on the same file produces several warnings (with the same perlcritic configuration). The problem was fixed by changing line 424 of lib/Devel/PerlySense/Project.pm from warn "Warning: $violation"; to print STDERR "Warning: $violation"; This error was probably caused by perly_sense installing __WARN__ signal handler. This particular message should really go to STDERR and not to a log file... Cheers, Jan Tatarik
From: JOHANL [...] cpan.org
Download (untitled) / with headers
text/plain 275b
On Fri Nov 16 05:44:41 2007, Jan.Tatarik@mBalance.com wrote: Show quoted text
> After configuring PerlySense project to run syntax and critics checks, > only syntax errors are highlighted in emacs buffer.
Nice catch. Thanks, much appreciated! This is fixed in the new 0.01_26 release. /J
Resolved in 0.01_26


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.